import { MutableRefObject } from 'react';
declare type UseAudioPreloadType = 'auto' | 'metadata' | 'none';
export interface UseAudioOptions {
    loop?: boolean;
    muted?: boolean;
    volume?: number;
    autoPlay?: boolean;
    preload?: UseAudioPreloadType;
    playbackRate?: number;
}
interface LocalState {
    loop: boolean;
    muted: boolean;
    volume: number;
    duration: number;
    autoPlay: boolean;
    isPlaying: boolean;
    preload?: UseAudioPreloadType;
    currentTime: number;
    playbackRate: number;
    isSrcLoading: boolean | undefined;
}
interface Controls {
    play: () => void;
    mute: () => void;
    pause: () => void;
    unmute: () => void;
    seek: (time: number) => void;
    onError: (onError: ((error: Error) => void)) => void;
    setVolume: (volume: number) => void;
}
export declare const useAudio: (src: string, options?: UseAudioOptions) => [LocalState, Readonly<Controls>, MutableRefObject<HTMLAudioElement>];
export default useAudio;
