export interface ValidationResult {
    changed: boolean;
    valid?: boolean;
}
/**
 * Returns a state that changes only if the next value pass its validator
 */
declare const useValidatedState: <TValue, TValidator extends (value: TValue) => boolean>(validator: TValidator, initialValue?: TValue) => [TValue, (nextValue: TValue) => void, ValidationResult];
export default useValidatedState;
